#
# MAKEFILE for DROPS.EXE   //   A.R-M. 12/93
#


PAS = drops.pas water.pas sky.pas backgrnd.pas colors.pas global.pas
ASM = asmfx.obj surf.obj usky.obj pal.obj
PIC = iguana.ooo greets.ooo dust.ooo fc.ooo surprise.ooo legend.ooo \
      majic.ooo infiny.ooo rena.ooo postumum.ooo reset.ooo mental.ooo \
      triton.ooo codex.ooo unexpect.ooo capacala.ooo vla.ooo prime.ooo \
      psymonk.ooo skp.ooo xography.ooo emf.ooo five.ooo extreme.ooo \
      avalanch.ooo gollum.ooo others.ooo

OTH = colors.oop font.oof
SIZ = meshsize.inc

drops.exe: $(PAS) $(ASM) $(PIC) $(SIZ) $(OTH)

        tpc /m drops
        del *.bak >nul

.gif.ooo:
    alchemy -b8Bo $*.gif             # Alchemy 1.6
    del $*.bif  >nul
    raw2srf $*  >nul
    del $*.raw  >nul
    binobj $*.srf $*.ooo _$*  >nul
    del $*.srf >nul

colors.oop: colors.def
    makepal $*
    binobj $*.bin $*.oop RGBPalette >nul
    del $*.bin >nul

font.oof: font.vga
    fontbin font.vga
    binobj font.bin $*.oof FONT >nul
    del $*.bin

.asm.obj:
    tasm $*.asm

